ONVIF::Media::Types::SupportedAnalyticsModules(3)

NAME
ONVIF::Media::Types::SupportedAnalyticsModules

DESCRIPTION
Perl data type class for the XML Schema defined complexType SupportedAnalyticsModules from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   AnalyticsModuleContentSchemaLocation

•   AnalyticsModuleDescription

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::SupportedAnalyticsModules
   AnalyticsModuleContentSchemaLocation =>  $some_value, # anyURI
   AnalyticsModuleDescription =>  { # ONVIF::Media::Types::ConfigDescription
     Parameters =>  { # ONVIF::Media::Types::ItemListDescription
       SimpleItemDescription => ,
       ElementItemDescription => ,
       Extension =>  { # ONVIF::Media::Types::ItemListDescriptionExtension
       },
     },
     Messages =>  {
       ParentTopic =>  $some_value, # string
     },
     Extension =>  { # ONVIF::Media::Types::ConfigDescriptionExtension
     },
   },
   Extension =>  { # ONVIF::Media::Types::SupportedAnalyticsModulesExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL